AnsweredAssumed Answered

Install PIDataLink_2010-sp1.exe failed with error msg:Unable to obtain Product Version ({09959E11-AD5D-408E-96AF-E3346954D6B8}) for older version of D:\PIDataLink\extensibilityMSM.msi. Returned error: 1608

Question asked by bluefish on Feb 2, 2015
Latest reply on Feb 3, 2015 by bluefish

Due to product compatibility, we have to install datalink older than PIDataLink_2013.exe in Citrix. We used PIDataLink_2010-SP1.exe but get the following error messages. Anyone has any recommendations?

 

--- >>> Setup Module 4
Setup module dotnet20Setup is check for install only (CHECKFORINSTALLEDONLY).
Loading: 4 (D:\PIDataLink\dotnet20Setup.dll)
D:\PIDataLink\dotnet20Setup.dll version 1.0.1.14
SetupUtils> Unable to find version of dotnet20Setup (Section 4) in C:\pisetup.ini
dotnet20Setup> Failed to retrieve setup module version for dotnet20Setup. Assume 2.0.50727.
dotnet20Setup> The version of the .Net Framework to be installed is 2.0.50727
dotnet20Setup> Could not query NET Framework Setup NDP registry CDF subkey Install value. Error 2, The system cannot find the file specified.


dotnet20Setup> The version of the .Net Framework on the destination machine is 2.0.50727
CompareVersions> NewVer4 not found...padding with 0
CompareVersions> InstalledVer4 not found...padding with 0
CompareVersions> Versions identical...returning 0
Module (Microsoft .NET2.0 Framework v2.0.50727) already installed.
--- >>> Setup Module 5
Setup module msxmlSetup is check for install only (CHECKFORINSTALLEDONLY).
Loading: 5 (D:\PIDataLink\msxmlSetup.dll)
D:\PIDataLink\msxmlSetup.dll version 1, 0, 0, 1
msxml_Setup> Suppressing install on VISTA
Module (Microsoft XML (MSXML) v6.0) already installed.
--- >>> Setup Module 6
Module (OSIsoft MS Runtime Redistributables v3.1.3) already installed.
--- >>> Setup Module 7
CompareVersions> NewVer2 < InstalledVer2...returning -1
IsMSIInstalled> The installed version 1.4.0.416 is newer than the version to install 1.3.8.387 - returning TRUE.
Module (PI Software Development Kit (PI-SDK) v1.3.8.387) already installed.
--- >>> Setup Module 8
Loading: 8 (D:\PIDataLink\OfficePIASetup.dll)
D:\PIDataLink\OfficePIASetup.dll version 1, 0, 1, 5
OfficePIASetup> Failed to find product GUID for 2007, 2003, or 2002 Microsoft Office
OfficePIASetup> Pretend that the OfficePIASetup is installed - return TRUE
Module (Microsoft Office Primary Interop Assemblies v) will be skipped - pretending to be already installed.
--- >>> Setup Module 9
Loading: 9 (D:\PIDataLink\vstorSetup.dll)
D:\PIDataLink\vstorSetup.dll version 1, 0, 0, 7
CompareVersions> Versions identical...returning 0
vstor_Setup> The installed version 8.0.60940.0 is the same as the new version to install 8.0.60940.0 - returning TRUE.
Module (Visual Studio 2005 Tools for Office Second Edition Runtime v8.0.50727.940) already installed.
--- >>> Setup Module 10
IsMSIInstalled> Unable to obtain Product Version ({09959E11-AD5D-408E-96AF-E3346954D6B8}) for older version of D:\PIDataLink\extensibilityMSM.msi. Returned error: 1608
Module (Shared Add-in Extensibility Update for Microsoft .NET Framework 2.0 (KB908002) v1.0.0) will be installed.
--- >>> Setup Module 11
IsMSIInstalled> Unable to obtain Related Products for Upgrade Code {7B6013C7-8EEC-4546-9733-26864E4E969C}. Returned error: 259
Module (Shared Add-in Support Update for Microsoft .NET Framework 2.0 (KB908002) v1.0.0) will be installed.
--- >>> Setup Module 12
IsMSIInstalled> Unable to obtain Related Products for Upgrade Code {08A9A3BB-EDF6-4ACC-A7E5-BECDBBABF21C}. Returned error: 259
Module (PI DataLink 2010 SP1 v4.2.1.0) will be installed.
----------------------
Completed Verification checks for all modules.
InstallThread Error 1612. Installation of PI DataLink has failed.

Outcomes